import { NextRequest, NextResponse } from 'next/server';
import { ResultDto } from '@/types/response/common';
import { fetchJson } from '@/lib/utils/server';

export async function GET(request: NextRequest, { params }: { params: Promise<{ path: string[] }> }) {
	const { path } = await params;
	const endpoint = `/api/crew/${path.join('/')}`;
	const url = new URL(request.url);
	const res: ResultDto = await fetchJson(`${endpoint}${url.search}`, { method: 'GET' });
	return NextResponse.json(res);
}

export async function POST(request: NextRequest, { params }: { params: Promise<{ path: string[] }> }) {
	const { path } = await params;
	const endpoint = `/api/crew/${path.join('/')}`;
	const res: ResultDto = await fetchJson(endpoint, { method: 'POST', body: JSON.stringify(await request.json()) });
	return NextResponse.json(res);
}